# Interface IErrorResponse

An error response

## Index

### Properties

- data
- statusCode

## Properties

### Optional data

data: object

Overwrites IResponse.data

- Defined in rest/EndpointCaller.ts :125

Data about the error

#### Type declaration

- ##### [key: string]: any

- ##### Optional executionReport?: string

  A report provided by the search api

- ##### Optional message?: string

  Message for the error

- ##### Optional type?: string

  Type of the error

### statusCode

statusCode: number

- Defined in rest/EndpointCaller.ts :121

Status code for the error

### Hierarchy

- IResponse<IStringMap<any>>